@import "../../../assets/styles/main.scss";

.contactDetailSection {
  padding-bottom: 80px;
  position: relative;
  @include lg {
    padding-bottom: 60px;
  }
  &::after {
    content: "";
    position: absolute;
    height: 189px;
    width: 228px;
    left: 0;
    top: -38px;
    background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/downArrowPlan.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    z-index: 1;
  }
  .contactDetailContainer {
    @include container-medium-1;
    padding: 60px;
    display: flex;
    flex-flow: column;
    gap: 56px;
    .contactDetailTitle {
    
      p {
        font-size: 16px;
        @include inter400;
        line-height: 35px;
        text-align: center;
        padding-top: 18px;
      }
    }
    .contactDetailFormMain {
      padding: 24px;
      border-radius: 10px;
      border: 1px solid #fff;
      background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
      .contactDetailFormInput {
        display: flex;
        flex-flow: column;
        gap: 24px;
        .row {
          line-height: normal;
        }
        label {
          font-size: 12px;
          letter-spacing: 0.2px;
          text-transform: capitalize;
          @include inter400;
          padding-bottom: 10px;
          line-height: normal;
        }

        textarea {
          resize: none;
          @include customScroll;
        }
        input,
        textarea {
          padding: 10px 16px;
          border-radius: 5px;
          background: getColorHex("white");
          @include inter400;
          color: getColorHex("black");
          font-size: 12px;
          line-height: normal;

          &::-webkit-input-placeholder {
            color: getColorHex("placeholder");
            font-size: 12px;
            @include inter400;
            line-height: normal;
          }

          &:-moz-placeholder {
            /* Firefox 18- */
            color: getColorHex("placeholder");
            font-size: 12px;
            @include inter400;
            line-height: normal;
          }

          &::-moz-placeholder {
            /* Firefox 19+ */
            color: getColorHex("placeholder");
            font-size: 12px;
            @include inter400;
            line-height: normal;
          }

          &:-ms-input-placeholder {
            color: getColorHex("placeholder");
            font-size: 12px;
            @include inter400;
            line-height: normal;
          }
          &:focus {
            border-color: getColorHex("orange") !important;
            box-shadow: unset !important;
          }
        }
      }
      .submitButton {
        margin-top: 30px;
        button {
          display: flex;
          gap: 10px;
          justify-content: center;
          align-items: center;
          color: #fff;
          background-color: getColorHex("orange");
          border: unset;
          border-radius: 35px;
          background: linear-gradient(92deg, #f47500 4.71%, #e47f28 93.98%);
          height: 44px;
          width: 164px;
          padding: 10px 30px;
          transition: 0.3s;
          @include inter700;
          border: none;

          &:disabled {
            opacity: 0.5;
          }

          &:hover:not(:disabled) {
            background: getColorHex("white");
            border: 1px solid getColorHex("orange");
            @include transition-3s;
            p {
              color: getColorHex("orange");
            }

            svg {
              path {
                fill: getColorHex("orange");
              }
            }
          }
          &:disabled {
            background-color: #ccc; // Disabled background color
            cursor: not-allowed; // Change cursor to indicate button is disabled
          }
          p {
            font-size: 20px;
            color: white;
            @include inter700;
            text-transform: capitalize;
            @include lg {
              font-size: 18px;
            }
          }
        }
      }
    }
  }
}
